---
title: "Simulate a Card Transaction Authorization Reversal - EEA"
source_url: https://docs.rapyd.net/en/simulate-a-card-transaction-authorization-reversal---eea.html
lang: en
---

# Simulate a Card Transaction Authorization Reversal - EEA

Simulate a retail location’s reversal of a card authorization.

The retail location where a card was used for a purchase can send a reversal through the card network to cancel a previous authorization request. This can occur when the transaction is not completed within the time required by the card issuer. When Rapyd receives a request for reversal from the card network, it reverses the transaction and sends you a webhook. Use this method in the sandbox.

This method triggers [Card Issuing Reversal Webhook](https://docs.rapyd.net/en/card-issuing-reversal-webhook.md "Card Issuing Reversal Webhook") . This method moves the reversed funds in the wallet from **on-hold balance** to **available balance**. See [Wallet Balance Types](https://docs.rapyd.net/en/wallet-balance-types.md "Wallet Balance Types").

This method applies to cards issued in the European Economic Area (EEA). For cards issued outside the EEA, see [Simulate a Card Transaction Authorization Reversal - Non-EEA](https://docs.rapyd.net/en/simulate-a-card-transaction-authorization-reversal---non-eea.md "Simulate a Card Transaction Authorization Reversal - Non-EEA").

**Prerequisites:**

- [Issue Card](https://docs.rapyd.net/en/issue-card.md "Issue Card")
- [Activate Issued Card Using API](https://docs.rapyd.net/en/activate-issued-card-using-api.md "Activate Issued Card Using API")
- [Simulate a Card Transaction Authorization Request - EEA](https://docs.rapyd.net/en/simulate-a-card-transaction-authorization-request---eea.md "Simulate a Card Transaction Authorization Request - EEA")

### Parameters

### Request Body Parameters

- - amount
  - The amount of the reversal, in units of the currency defined in `currency`. Decimal. If omitted, the reversal is for the entire amount of the authorization.
- - authorization_id
  - ID of the authorization. String starting with **cardauth_**. Use the value of `id` in the response to [Simulate a Card Transaction Authorization Request - EEA](https://docs.rapyd.net/en/simulate-a-card-transaction-authorization-request---eea.md "Simulate a Card Transaction Authorization Request - EEA").
- - card_id
  - ID of the card. String starting with **card_**.
- - currency
  - The currency of the reversal. Three-letter ISO 4217 code.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - idempotency
  - A unique key that prevents the platform from creating the same object twice.

    See [Idempotency](https://docs.rapyd.net/en/idempotency.md "Idempotency").
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - amount
  - Amount of the transaction, in units defined in `currency`.
- - auth_response
  - Response related to an authorization. Contains the following fields:

    - - code
      - Indicates success or reason for failure.
    - - message
      - Descriptive text.
- - card_id
  - ID of the card. String starting with **card_**.
- - card_transaction_id
  - ID of the transaction. String starting with **cit_**.
- - currency_code
  - Currency of the transaction. Three-letter ISO 4217 code.
- - fx_rate
  - The exchange rate. Relevant to capture (clearing) transactions.
- - id
  - ID of the authorization. String starting with **cardauth_**.
- - is_remote_auth
  - Indicates whether remote authorization is enabled.
- - merchant_category_code
  - Four-digit merchant category code (MCC) of the initiator of the transaction, as defined in [ISO 18245](https://www.iso.org/standard/33365.html).
- - merchant_identification_code
  - Reserved.
- - merchant_name_location
  - Name and location of the merchant. Maximum 40 characters.

    TEST MERCHANT
- - remote_auth_endpoint
  - The URL where the remote authorization is sent.
- - remote_auth_response
  - Response to a successful remote authorization request. Contains the following fields:

    - - authorization_id
      - ID of the authorization. String starting with **cardauth_**.
    - - response_code
      - Code returned by the client in the response to the remote authorization.
    - - auth_code
      - Authorization code returned by the client in the response to the remote authorization.
- - transaction_amount
  - Amount debited from the Rapyd Wallet. Decimal, including the correct number of decimal places for the currency exponent, as defined in ISO 2417:2015.
- - transaction_currency_code
  - Original transaction currency, if different from the currency credited to the Rapyd Wallet. Three-letter ISO 4217 code.
- - txn_type
  - Type of transaction. One of the following values:

    - **ADJUSTMENT**
    - **ATM_FEE**
    - **CREDIT**
    - **REFUND**
    - **REVERSAL**
    - **SALE**

- /v1/issuing/cards/reversal

- Authorization Reversal - Full
- ```curl
  curl -X post
  https://sandboxapi.rapyd.net/v1/issuing/cards/reversal
  -H 'access_key: your-access-key-here'
  -H 'Content-Type: application/json'
  -H 'idempotency: your-idempotency-parameter-here'
  -H 'salt: your-random-string-here'
  -H 'signature: your-calculated-signature-here'
  -H 'timestamp: your-unix-timestamp-here'
  -d '{
    "card_id": "card_c0acb5d35a78fcf4473bc98b1cda8cf9",
    "authorization_id": "cardauth_8f9260135a9a029f9655bb386363eaf4"
  }
  '
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "4747ff6f-9c68-499d-b451-9c46354657bf"
      },
      "data": {
          "id": "cardauth_d69434cc27bfcd8e5c793f1d810bb46e",
          "card_id": "card_c0acb5d35a78fcf4473bc98b1cda8cf9",
          "card_transaction_id": "cit_81a60ea4b79a4de37fc18d226dbc1279",
          "amount": 7,
          "currency_code": "USD",
          "txn_type": "REVERSAL",
          "auth_response": {
              "code": "00",
              "message": "APPROVED_OR_COMPLETED_SUCCESSFULLY"
          },
          "is_remote_auth": false,
          "remote_auth_endpoint": "",
          "remote_auth_response": null,
          "transaction_amount": 7,
          "transaction_currency_code": "USD",
          "fx_rate": null,
          "merchant_category_code": "",
          "merchant_name_location": "TEST MERCHANT",
          "merchant_identification_code": "#RAPYD SANDBOX#"
      }
  }
  ```

- Authorization Reversal - Partial
- ```curl
  curl -X post
  https://sandboxapi.rapyd.net/v1/issuing/cards/reversal
  -H 'access_key: your-access-key-here'
  -H 'Content-Type: application/json'
  -H 'idempotency: your-idempotency-parameter-here'
  -H 'salt: your-random-string-here'
  -H 'signature: your-calculated-signature-here'
  -H 'timestamp: your-unix-timestamp-here'
  -d '{
    "card_id": "card_c0acb5d35a78fcf4473bc98b1cda8cf9",
    "amount": 5,
    "currency": "USD",
    "authorization_id": "cardauth_a5a869a6f202d05af2eb24a068dd9639"
  }
  '
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "d94270ed-b649-4478-9fd3-c93c063ea218"
      },
      "data": {
          "id": "cardauth_9b0b328ca26e95ff17deceebd9cba9b0",
          "card_id": "card_c0acb5d35a78fcf4473bc98b1cda8cf9",
          "card_transaction_id": "cit_9f9eef4866bf656420e6fa0486e419ca",
          "amount": 3,
          "currency_code": "USD",
          "txn_type": "REVERSAL",
          "auth_response": {
              "code": "00",
              "message": "APPROVED_OR_COMPLETED_SUCCESSFULLY"
          },
          "is_remote_auth": false,
          "remote_auth_endpoint": "",
          "remote_auth_response": null,
          "transaction_amount": 3,
          "transaction_currency_code": "USD",
          "fx_rate": null,
          "merchant_category_code": "",
          "merchant_name_location": "TEST MERCHANT",
          "merchant_identification_code": "#RAPYD SANDBOX#"
      }
  }
  ```
